-- vertex

#version 460 core

uniform mat4 mv;
uniform mat4 proj;

layout ( location = 0 ) in vec3 pos;
layout ( location = 1 ) in vec2 texCoord;

out vec2 tex;

layout(std430, binding = 0) buffer Pos 
{
	vec4 position [];
};

void main(void)
{
	vec4	inst  = position [gl_DrawID];

	gl_Position = proj * mv * vec4 ( pos + inst.xyz, 1.0 );
	tex         = texCoord;
}

-- fragment

#version 460 core

uniform sampler2D	image;

in  vec2 tex;
out vec4 color;

void main(void)
{
	color = texture ( image, tex );
color = vec4 ( 1 );
}
