
-- vertex

#version 330 core

layout(location = 0) in vec4 pos;

out vec2 tex;

void main(void)
{
	tex         = pos.zw;
	gl_Position = vec4 ( pos.xy, 0.0, 1.0 );
}

-- fragment

#version 330 core

uniform sampler2D depthMap;
uniform float zFar;
uniform float zNear;
uniform int   lod;

in  vec2  tex;
out vec4  color;

void main(void)
{
	float	depth = textureLod ( depthMap, tex, lod ).x;
	float	zeye  = zFar*zNear/(zFar - depth*(zFar-zNear));
	
	color = vec4 ( 10*(abs(zeye) - zNear)/zFar );
}
